Loading...
Searching...
No Matches
Gudhi::persistence_matrix::Matrix_max_dimension_holder< Dimension > Class Template Reference
Persistence Matrix

Class managing the maximal dimension of a cell represented in the inheriting matrix, when the option of cell removal is not enabled. More...

`#include <include/gudhi/Persistence_matrix/matrix_dimension_holders.h>`

## Public Member Functions

| Matrix_max_dimension_holder (Dimension maximalDimension=-1)
| Default constructor. If a dimension is specified, stores it as the maximal value.
| Matrix_max_dimension_holder (const Matrix_max_dimension_holder &toCopy)
| Copy constructor.
| Matrix_max_dimension_holder (Matrix_max_dimension_holder &&other) noexcept
| Move constructor.
Dimension | get_max_dimension () const
| Returns the maximal dimension of a cell represented in the matrix.
Matrix_max_dimension_holder & | operator= (const Matrix_max_dimension_holder &other)
| Assign operator.

## Friends

void | swap (Matrix_max_dimension_holder &matrix1, Matrix_max_dimension_holder &matrix2)
| Swap operator.

## Detailed Description

template<typename Dimension>
class Gudhi::persistence_matrix::Matrix_max_dimension_holder< Dimension >

Class managing the maximal dimension of a cell represented in the inheriting matrix, when the option of cell removal is not enabled.

Template Parameters

  Dimension | Dimension value type. Has to be an integer type. If unsigned, the maximal value of the type should not be attained during a run.

## Constructor & Destructor Documentation

## Matrix_max_dimension_holder() [1/3]

template<typename Dimension>

Gudhi::persistence_matrix::Matrix_max_dimension_holder< Dimension >::Matrix_max_dimension_holder | ( | Dimension | maximalDimension = -1 | ) |

inline

Default constructor. If a dimension is specified, stores it as the maximal value.

Parameters

  maximalDimension | Value of the maximal dimension. Has to be either positive or -1. Default value: -1.

## Matrix_max_dimension_holder() [2/3]

template<typename Dimension>

Gudhi::persistence_matrix::Matrix_max_dimension_holder< Dimension >::Matrix_max_dimension_holder | ( | const Matrix_max_dimension_holder< Dimension > & | toCopy | ) |

inline

Copy constructor.

Parameters

  toCopy | Matrix to copy.

## Matrix_max_dimension_holder() [3/3]

template<typename Dimension>

Gudhi::persistence_matrix::Matrix_max_dimension_holder< Dimension >::Matrix_max_dimension_holder | ( | Matrix_max_dimension_holder< Dimension > && | other | ) |

inline noexcept

Move constructor.

Parameters

  other | Matrix to move.

## Member Function Documentation

## get_max_dimension()

template<typename Dimension>

Dimension Gudhi::persistence_matrix::Matrix_max_dimension_holder< Dimension >::get_max_dimension | ( |  | ) | const

inline

Returns the maximal dimension of a cell represented in the matrix.

Returns
  The maximal dimension.

The documentation for this class was generated from the following file:

- include/gudhi/Persistence_matrix/matrix_dimension_holders.h